package de.intevation.gnv.artifacts.ressource;

import java.util.Locale;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

import junit.framework.TestCase;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class RessourceFactoryTestCase extends TestCase {
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = null;
    
    static {
        BasicConfigurator.configure();
        log = Logger.getLogger(RessourceFactoryTestCase.class);
    }
    /**
     * Constructor
     * @param name
     */
    public RessourceFactoryTestCase(String name) {
        super(name);
    }

    /**
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();
//        System.setProperty("artifact.ressource.dir", 
//                           "src/test/ressources/lang");
    }
    
    public void testRessurceFactoryTestCase(){
        String value = RessourceFactory.getInstance().getRessource(new Locale ("de", "DE"), "fis_modeldata", "N/N");
        log.debug(value);
        value = RessourceFactory.getInstance().getRessource(new Locale ("en", "EN"), "fis_modeldata", "N/N");
        log.debug(value);
    }

}
